import { applyMiddleware, compose, createStore } from 'redux'
import { composeWithDevTools } from 'redux-devtools-extension'
import { routerMiddleware } from 'connected-react-router'
import thunk from 'redux-thunk'
import { getHistory } from './history'
import reducer from './reducers/reducer'

// router-redux: build the middleware 
const routMiddleware = routerMiddleware(getHistory())
const middleware = applyMiddleware(thunk, routMiddleware)
const envMiddleware = process.env.NODE_ENV == 'production' ? middleware : composeWithDevTools(middleware)

export default createStore(
  reducer,
  envMiddleware
)